FUNCTION::USER_LONG_(3stap)

NAME
function::user_long_warn - Retrieves a long value stored in user space

SYNOPSIS

    user_long_warn:long(addr:long)

ARGUMENTS

addr
    the user space address to retrieve the long from

DESCRIPTION

Returns the long value from a given user space address. Returns zero when user space data is not accessible and warns about the failure (but does not error). Note that the size of the long depends on the architecture of the current user space task (for those architectures that support both 64/32 bit compat tasks).

SEE ALSO
tapset::uconversions(3stap)